/*	$Id: krecaptcha.h,v 1.1.1.1 2014/05/08 10:21:15 kristaps Exp $ */
/*
 * Copyright (c) 2014 Kristaps Dzonsons <kristaps@bsd.lv>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
#ifndef KRECAPTCHA
#define KRECAPTCHA

#define KRECAPTCHA_VERSION "@VERSION@"

enum	krecaptchae {
	KRECAPTCHA_OK, 
	KRECAPTCHA_CURL_INIT, /* bad curl init */
	KRECAPTCHA_CURL_SETUP, /* bad curl setup operation */
	KRECAPTCHA_CURL_PERFORM, /* bad curl perform */
	KRECAPTCHA_RESPONSE, /* bad HTTP response */
	KRECAPTCHA_PRIVKEY, /* bad private key */
	KRECAPTCHA_CHALLENGE, /* bad challenge */
	KRECAPTCHA_SOLUTION, /* bad solution */
	KRECAPTCHA_TIMEOUT, /* solving timeout */
};

__BEGIN_DECLS

enum krecaptchae krecaptcha
	(const char *privkey, 
	 const char *remote, 
	 const char *challenge, 
	 const char *response);

__END_DECLS

#endif
